package Util::String;

use version; our $VERSION = qv('0.1_0');

sub trim {
    my ($string_ref) = @_;

    ${$string_ref} =~ s/^\s+//;
    ${$string_ref} =~ s/\s+$//;
}

sub get_trimmed {
    my ($string_ref) = @_;
    my $trimmedString = ${$string_ref};

    trim( \$trimmedString );

    return $trimmedString;
}

sub is_empty {
    my ($string) = @_;
    return length $string <= 0;
}

1;

__END__

=head1 NAME

Util::String - Verschiedene Hilfsfunktionen fr Strings

=head1 DESCRIPTION

Bietet verschiedene Hilfsfunktionen fr Strings an

=head1 METHODS

=over

=item Util::String::trim( \$string );

Trimmt einen String (entfernt fhrende und folgende Leerzeichen, Tabulatoren,
Zeilenumbrche)

Der 1. Parameter ist eine Referenz auf den zu modifizierenden String

=item $trimmedString = Util::String::get_trimmed( \$string )

Liefert einen getrimmten String; verndert den String nicht im Gegensatz
zu trim().

Der 1. Parameter ist eine Referenz auf einen String

Rckgabe ist ein getrimmter String

=item $is_empty = Util::String::is_empty( $string )

Liefert, ob ein String leer ist

Der 1. Parameter ist der String

Ist der String leer, wird true geliefert

=back

=head1 AUTHOR

Elmar Baumann <eb@elmar-baumann.de> 2006/10/07

=cut
