#!/usr/bin/perl -w

use strict;
use Test::More qw( no_plan );

use Language::Messages;

my %MESSAGE_MAP = (
    m0 => 'Eine Nachricht',
    m1 => 'Ersetze %1',
    m2 => 'Ersetze %1 und %2'
);

test();

sub test {
    my $messages = Language::Messages->new(\%MESSAGE_MAP);
    my $message_expected = $MESSAGE_MAP{'m0'};
    my $message_got = $messages->get_message('m0');

    is($message_got, $message_expected);

    $message_expected = "Ersetze 22";
    $message_got = $messages->get_message('m1', 22);
    is($message_got, $message_expected);

    $message_expected = "Ersetze Hallo und 35";
    $message_got = $messages->get_message('m2', "Hallo", 35);
    is($message_got, $message_expected);
}
