#!/usr/bin/perl -w

use strict;
use Test::More qw( no_plan );

use XMP::ImageFileFinder;
use Util::Array;

my $MISC_FILES_DIR = "$ENV{PROJECTDIR}/XmpIptc/t/misc_files";
my $XMP_FILES_DIR  = "$ENV{PROJECTDIR}/XmpIptc/t/xmp_files";
my @search_dirs    = ( $MISC_FILES_DIR, $XMP_FILES_DIR );

my $finder_1 = XMP::ImageFileFinder->new();
my $finder_2 = XMP::ImageFileFinder->new('xml');

my @image_extensions_1 = ( 'jpg', 'tif', 'nef', 'gif' );
my @image_extensions_2 = ('jpg');

$finder_1->find_imagefiles( \@search_dirs, \@image_extensions_1 );
$finder_2->find_imagefiles( \@search_dirs, \@image_extensions_2 );

my @found_filenames_1 = $finder_1->get_imagefilenames();
my @found_filenames_2 = $finder_2->get_imagefilenames();

my @expected_filenames_1 = (
    "$MISC_FILES_DIR/image_1.gif",
    "$MISC_FILES_DIR/image_1.jpg",
    "$MISC_FILES_DIR/image_1.tif",
    "$MISC_FILES_DIR/image_2.jpg",
    "$MISC_FILES_DIR/image_2.tif",
    "$MISC_FILES_DIR/image_3.nef",
    "$XMP_FILES_DIR/alles.tif",
    "$XMP_FILES_DIR/image_1.jpg",
    "$XMP_FILES_DIR/image_1.tif",
    "$XMP_FILES_DIR/komplett.jpg",
    "$XMP_FILES_DIR/komplett.tif",
    
);

my @expected_filenames_2 = (
    "$MISC_FILES_DIR/image_1.jpg"
);

ok(Util::Array::elements_equals( \@found_filenames_1, \@expected_filenames_1));
ok(Util::Array::elements_equals( \@found_filenames_2, \@expected_filenames_2));
