#!/usr/bin/perl

use strict;
use File::Find;
use Getopt::Std;
use Test::Harness;

use lib $ENV{XMP_IPTC_DIR};

my @search_dirs = ("$ENV{XMP_IPTC_DIR}/t");
my @test_files  = ();

find( \&file_found, @search_dirs );

set_environment();
set_test_harness_vars();
runtests(@test_files);

sub file_found {
    my $file   = $File::Find::name;
    my $suffix = $file;

    $suffix =~ s/.*\.//;
    if ( $suffix eq 't' ) {
        push @test_files, $file;
    }
}

sub set_environment {
    my %commandline_option = ();
    getopts( 'c:', \%commandline_option );
    if ( defined $commandline_option{c} ) {
        $ENV{XMP_IPTC_CONFIG_FILENAME} = $commandline_option{c};
    }
    else {
        $ENV{XMP_IPTC_CONFIG_FILENAME} = "$ENV{XMP_IPTC_DIR}/config.pl";
    }
}

sub set_test_harness_vars {
    #$Test::Harness::switches = '';
    #$Test::Harness::verbose = 1;
}
